# Method: achievements.list

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.ListAchievementsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#body.aspect)
- [State](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#State)
- [PlayerAchievement](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#PlayerAchievement)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#PlayerAchievement.SCHEMA_REPRESENTATION)
- [State](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#State_1)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#try-it)

Lists the progress for all your application's achievements for the currently authenticated player.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/{playerId}/achievements`

### Path parameters

|                                               Parameters                                               ||
|------------|--------------------------------------------------------------------------------------------|
| `playerId` | `string` A player ID. A value of`me`may be used in place of the authenticated player's ID. |

### Query parameters

|                                                                                                                           Parameters                                                                                                                            ||
|--------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                                                                                       |
| `maxResults` | `integer` The maximum number of achievement resources to return in the response, used for paging. For any response, the actual number of achievement resources returned may be less than the specified`maxResults`.                               |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                                                                                              |
| `state`      | `enum (`[State](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#State)`)` Tells the server to return only achievements with the specified state. If this parameter isn't specified, all achievements are returned. |

### Request body

The request body must be empty.

### Response body

A list of achievement objects.

If successful, the response body contains data with the following structure:

|                                                                               JSON representation                                                                               |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "nextPageToken": string, "items": [ { object (https://developer.android.com/games/services/web/api/rest/v1/achievements/list#PlayerAchievement) } ] } ``` |

|                                                                                Fields                                                                                 ||
|-----------------|------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerAchievementListResponse`.                       |
| `nextPageToken` | `string` Token corresponding to the next page of results.                                                                                            |
| `items[]`       | `object (`[PlayerAchievement](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#PlayerAchievement)`)` The achievements. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## State

|                          Enums                          ||
|------------|---------------------------------------------|
| `ALL`      | List all achievements. This is the default. |
| `HIDDEN`   | List only hidden achievements.              |
| `REVEALED` | List only revealed achievements.            |
| `UNLOCKED` | List only unlocked achievements.            |

## PlayerAchievement

An achievement object.

|                                                                                                                                   JSON representation                                                                                                                                   |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "id": string, "currentSteps": integer, "formattedCurrentStepsString": string, "achievementState": enum (https://developer.android.com/games/services/web/api/rest/v1/achievements/list#State_1), "lastUpdatedTimestamp": string, "experiencePoints": string } ``` |

|                                                                                                                                                           Fields                                                                                                                                                           ||
|-------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`                        | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerAchievement`.                                                                                                                                                                          |
| `id`                          | `string` The ID of the achievement.                                                                                                                                                                                                                                                         |
| `currentSteps`                | `integer` The current steps for an incremental achievement.                                                                                                                                                                                                                                 |
| `formattedCurrentStepsString` | `string` The current steps for an incremental achievement as a string.                                                                                                                                                                                                                      |
| `achievementState`            | `enum (`[State](https://developer.android.com/games/services/web/api/rest/v1/achievements/list#State_1)`)` The state of the achievement.                                                                                                                                                    |
| `lastUpdatedTimestamp`        | `string (`[int64](https://developers.google.com/discovery/v1/type-format)` format)` The timestamp of the last modification to this achievement's state.                                                                                                                                     |
| `experiencePoints`            | `string (`[int64](https://developers.google.com/discovery/v1/type-format)` format)` Experience points earned for the achievement. This field is absent for achievements that have not yet been unlocked and 0 for achievements that have been unlocked by testers but that are unpublished. |

## State

Defines possible states of an achievement.

|                Enums                 ||
|------------|--------------------------|
| `HIDDEN`   | Achievement is hidden.   |
| `REVEALED` | Achievement is revealed. |
| `UNLOCKED` | Achievement is unlocked. |